Bug 1380503 - Please apply patch to resolve HTTP error 400 with Pulse latest version
Summary: Please apply patch to resolve HTTP error 400 with Pulse latest version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openconnect
Version: 24
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-29 19:05 UTC by Kristjan Kullerkann
Modified: 2016-12-19 07:52 UTC (History)
3 users (show)

Fixed In Version: openconnect-7.08-1.fc25 openconnect-7.08-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-19 06:02:44 UTC
Type: Bug


Attachments (Terms of Use)
Modified RPM spec file which includes patch. (15.12 KB, text/plain)
2016-09-29 19:05 UTC, Kristjan Kullerkann
no flags Details
Patch which includes modification from upstream. (690 bytes, patch)
2016-09-29 19:06 UTC, Kristjan Kullerkann
no flags Details | Diff

Description Kristjan Kullerkann 2016-09-29 19:05:25 UTC
Created attachment 1206020 [details]
Modified RPM spec file which includes patch.

Description of problem:
When connecting to latest PulseSecure VPN (8.2 R5) client failes with HTTP error 400.

How reproducible:
Upgrade pulse VPN appliance to 8.2 R5 and try to connect.

Additional info:
Upstream has a fix.
http://lists.infradead.org/pipermail/openconnect-devel/2016-September/003951.html

I have also attached patch and RPM spec where this patch is already included.
Tested and working fine.

Comment 1 Kristjan Kullerkann 2016-09-29 19:06:24 UTC
Created attachment 1206021 [details]
Patch which includes modification from upstream.

Comment 2 Kristjan Kullerkann 2016-11-22 06:23:53 UTC
Ping - can we apply this patch for Fedora 24/25? :)

I have been using it for couple of months now with no issues.

Comment 3 Fedora Update System 2016-12-14 12:57:29 UTC
openconnect-7.08-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-236fdd6917

Comment 4 Fedora Update System 2016-12-14 12:58:32 UTC
openconnect-7.08-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e680d77fa

Comment 5 Fedora Update System 2016-12-15 05:04:00 UTC
openconnect-7.08-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e680d77fa

Comment 6 Fedora Update System 2016-12-15 05:07:37 UTC
openconnect-7.08-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-236fdd6917

Comment 7 Kristjan Kullerkann 2016-12-15 06:59:29 UTC
Tested and submitted comment in bodhi.

Comment 8 Fedora Update System 2016-12-19 06:02:44 UTC
openconnect-7.08-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-12-19 07:52:50 UTC
openconnect-7.08-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.